Subject: Re: [PATCH 2/2] can: ti hecc module : add platform specific initialization callback.

From: Marc Kleine-Budde <[email-masked]>
Date: Mon, 22 Feb 2010 17:00:41 +0100

Sriramakrishnan wrote:
> CAN module on AM3517 requires programming of IO expander as part
> of init sequence - to enable CAN PHY. Added platform specific
> init callback to handle this.

Consider giving it a more descriptive name like "phy_switch" and adding
an argument to the function to enable/disable the phy. Put the routine
in the driver's open and close function.

Pleae also update the ti_hecc_platform_data documentation in the top of
ti_hecc.c

Have a look at the at91 for example.

cheers, Marc
-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |